WindowsDomainJoinConfiguration の作成

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい windowsDomainJoinConfiguration オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の大きいものから小さいものへ)
委任 (職場または学校のアカウント)
    デバイス構成 DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション
    デバイス構成 DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、windowsDomainJoinConfiguration オブジェクトの JSON 表記を指定します。

次の表に、windowsDomainJoinConfiguration を作成するときに必要なプロパティを示します。

プロパティ 説明
id String エンティティのキー。 deviceConfiguration から継承します
デバイス構成
activeDirectoryDomainName String 参加する Active Directory ドメイン名。
computerNameStaticPrefix String コンピューター名に使用するプレフィックスを修正しました。
computerNameSuffixRandomCharCount Int32 コンピューター名のサフィックスとして使用される動的に生成された文字。 有効な値 3 ~ 14
createdDateTime DateTimeOffset オブジェクトが作成された DateTime。 deviceConfiguration から継承します
description String 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します
displayName String 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します
lastModifiedDateTime DateTimeOffset オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します
organizationalUnit String コンピューター アカウントが作成される組織単位 (OU)。 このパラメーターが NULL の場合、既知のコンピューター オブジェクト コンテナーがドメインで公開されたとして使用されます。
roleScopeTagIds String collection この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します
supportsScopeTags Boolean 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します
version Int32 デバイス構成のバージョン。 deviceConfiguration から継承します

応答

成功した場合、このメソッドは応答コードと、応答本文 201 Created の windowsDomainJoinConfiguration オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 559

{
  "@odata.type": "#microsoft.graph.windowsDomainJoinConfiguration",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "computerNameStaticPrefix": "Computer Name Static Prefix value",
  "computerNameSuffixRandomCharCount": 1,
  "activeDirectoryDomainName": "Active Directory Domain Name value",
  "organizationalUnit": "Organizational Unit value"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 667

{
  "@odata.type": "#microsoft.graph.windowsDomainJoinConfiguration",
  "id": "40118d08-8d08-4011-088d-1140088d1140",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "computerNameStaticPrefix": "Computer Name Static Prefix value",
  "computerNameSuffixRandomCharCount": 1,
  "activeDirectoryDomainName": "Active Directory Domain Name value",
  "organizationalUnit": "Organizational Unit value"
}